import React from 'react';

import { Redirect } from "react-router-dom";

import _auth from '@netuno/auth-client';

import { Button } from 'antd';

export default ()=> {
    if (!_auth.isLogged()) {
        return <Redirect to="/login" />;
    }
    const onLogout = () => {
        _auth.logout();
        window.location = '/';
    }
    return (
        <div>
            <h1>Sair</h1>
            <p>Para confirmar que deseja terminar a sessão clique no botão abaixo.</p>
            <Button onClick={onLogout}>Sair</Button>
        </div>
    );
};